LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPropertyControlFactory Interface Reference

a factory for XPropertyControls More...

`import"XPropertyControlFactory.idl";`

## Public Member Functions
XPropertyControl | createPropertyControl ([in] short ControlType, [in] boolean CreateReadOnly) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a XPropertyControl More...

## Detailed Description

a factory for XPropertyControls

Since
  OOo 2.0.3

## Member Function Documentation

## ◆ createPropertyControl()

XPropertyControl createPropertyControl | ( | [in] short | ControlType,
|  | [in] boolean | CreateReadOnly
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a XPropertyControl

A XPropertyControlFactory can create any of the control types denoted by the PropertyControlType constants.

Parameters

  ControlType | the type of the requested control
  CreateReadOnly | determines whether the newly created control should be readonly.

If this argument is `TRUE`, this does not necessarily mean that the property cannot be changed at all in the ObjectInspector. Instead, an XPropertyHandler can still decide that there is a dedicated UI for entering the property value, which is usually triggered by a LineDescriptor::PrimaryButton.

Note that this parameter might be ignored if the XObjectInspectorModel::IsReadOnly attribute is `TRUE`, in which case all created property controls must be readonly.

Returns
  a control of the given type.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given ControlType is not a value PropertyControlType

The documentation for this interface was generated from the following file:

- com/sun/star/inspection/XPropertyControlFactory.idl